Name:           grads
Version:        1.9b4
Release:        11%{?dist}.1
Summary:        Tool for easy acces, manipulation, and visualization of data

Group:          Applications/Engineering
License:        GPL
URL:            http://grads.iges.org/grads/grads.html
Source0:        ftp://grads.iges.org/grads/1.9/grads-src-%{version}.tar.gz
# opendap/DODS detection
Source3:        libdap.m4
Source4:        libnc-dap.m4
# the copyright notice for wgrib
Source2:        NOTICE.wgrib
# Copyrights explanation
Source6:        grads-copyright_summary
# README telling to turn BackingStore true
Source5:        grads-README.xorg
# include file that changes netcdf names to netcdf hdf names
Source7:        gawrapsd.h
# Use these files to remove files with GPL incompatible licences. In the
# SOURCES directory with grads tarball and grads-removed-files-list, do
# sh grads-remove-files
Source100:      grads-remove-files
Source101:      grads-removed-files-list

Patch:          grads-build_fixes.diff
Patch1:         grads_dap-no_lats.patch
Patch2:         grads-conditionnal_lats.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  hdf-devel 
BuildRequires:  udunits-devel netcdf-devel 
BuildRequires:  readline-devel
BuildRequires:  libdap-devel libnc-dap-devel
BuildRequires:  zlib-devel libjpeg-devel gd-devel
BuildRequires:  ncurses-devel libpng-devel
BuildRequires:  xorg-x11-devel

%description
The Grid Analysis and Display System (GrADS) is an interactive desktop tool
that is used for easy access, manipulation, and visualization of earth science
data. The format of the data may be either binary, GRIB, NetCDF, or HDF-SDS
(Scientific Data Sets). GrADS has been implemented worldwide on a variety of
commonly used operating systems and is freely distributed over the Internet.

%prep
%setup -q
%patch -p1
%patch -P 1 -p1
%patch -P 2 -p1
# change path to datas to %{_datadir}/%{name}
sed -i -e 's@/usr/local/lib/grads@%{_datadir}/%{name}@' src/gx.h
# copy grib notice
cp %{SOURCE2} .
cp %{SOURCE6} .
# copy hdf include wrapper file
cp %{SOURCE7} src
# concatenate autoconf m4 files
cat %{SOURCE3} %{SOURCE4} acinclude.m4 > acinclude.m4.new
cp acinclude.m4.new acinclude.m4
# README for use with xorg
cp %{SOURCE5} README.xorg
# fix perms
chmod a-x src/*.c src/*.h
chmod a-x COPYRIGHT
find doc -type f -exec chmod a-x \{\} \;
find data -type f -exec chmod a-x \{\} \;


%build
./bootstrap
%configure --without-gui --without-lats LDFLAGS="-L%{_libdir}/netcdf-3/ -L%{_libdir}/hdf/" CPPFLAGS="-I%{_includedir}/netcdf-3/ -I%{_includedir}/hdf/" --enable-dyn-supplibs

make %{?_smp_mflags}
cp -r doc html

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%{__install} -d -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}
%{__install} -m644 data/*.dat data/*res $RPM_BUILD_ROOT%{_datadir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/bufrscan
%{_bindir}/gradsc
%{_bindir}/gradsdods
%{_bindir}/gradshdf
%{_bindir}/gradsnc
%{_bindir}/gribmap
%{_bindir}/gribscan
%{_bindir}/gxeps
%{_bindir}/gxps
%{_bindir}/gxtran
%{_bindir}/stnmap
%{_bindir}/wgrib
%{_datadir}/grads/

%doc COPYRIGHT NOTICE.wgrib html README.xorg grads-copyright_summary

%changelog
* Fri Apr 21 2006 Patrice Dumas <dumas@centre-cired.fr> 1.9b4-11.1
- Add needed X related BR

* Fri Apr 21 2006 Patrice Dumas <dumas@centre-cired.fr> 1.9b4-10
- remove unneeded X related BR and configure flags since the gui isn't built

* Sat Mar 11 2006 Patrice Dumas <dumas@centre-cired.fr> 1.9b4-9
- rebuild for newer libdap

* Fri Feb 17 2006 Patrice Dumas <dumas@centre-cired.fr> 1.9b4-8
- enable hdf for ppc, now that it is there
- use a wrapper include file to prepend sd_ to netcdf symbols for
  hdf if it is required

* Thu Jan 19 2006 Patrice Dumas <dumas@centre-cired.fr> 1.9b4-6
- add BR on readline-devel close #178285

* Wed Dec 21 2005 Patrice Dumas <dumas@centre-cired.fr> 1.9b4-5
- don't build the hdf interface on ppc, there is no hdf package

* Tue Dec 13 2005 Patrice Dumas <dumas@centre-cired.fr> 1.9b4-4
- simplify handling of data, as they are in the tarball

* Tue Dec 13 2005 Patrice Dumas <dumas@centre-cired.fr> 1.9b4-3
- remove files with GPL incompatible licences

* Tue Aug 16 2005 Patrice Dumas <dumas@centre-cired.fr> 1.9b4-2
- use libsx without freq

* Fri Aug 12 2005 Patrice Dumas <dumas@centre-cired.fr> 1.9b4-1
- initial release
